Page MenuHomePhabricator

Amounts displayed in DonationInterface forms should be localized
Closed, ResolvedPublic1 Story Points

Description

For example in it_IT, the decimal separator should be a comma, and ideally the currency symbol should appear after the number.

IIRC Katie was looking at making CLDR available for this, but that was a long time ago.

Event Timeline

Pcoombe created this task.Mar 19 2015, 12:44 PM
Pcoombe raised the priority of this task from to Needs Triage.
Pcoombe updated the task description. (Show Details)
Pcoombe added subscribers: Pcoombe, jrobell.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2015, 12:44 PM
atgo triaged this task as Normal priority.Mar 19 2015, 10:43 PM
atgo added a subscriber: atgo.

Just to be clear - this wasn't a regression from last week's deploy, right?

Nope, this has been a longstanding issue I think.

atgo removed a subscriber: atgo.Mar 30 2016, 10:05 PM

Change 289066 had a related patch set uploaded (by Ejegg):
Localize donation amount

https://gerrit.wikimedia.org/r/289066

Ejegg claimed this task.May 16 2016, 9:16 PM
Ejegg set the point value for this task to 1.
Ejegg set Security to None.

Change 289066 merged by jenkins-bot:
Localize donation amount

https://gerrit.wikimedia.org/r/289066

Ejegg closed this task as Resolved.May 24 2016, 4:07 AM